<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
<head>
    <title><?php echo $title; ?></title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <link href="<?php echo $this->config['webroot']; ?>themes/default/style.css" rel="stylesheet" type="text/css" media="screen,projection" />
</head>

<body>
<h1><a href="<?php
if($mode == "edit") {
    echo $this->PageURL($page);
}
else {
    echo $this->PageURL($this->defaultHome);
}
?>"><?php echo $title; ?></a></h1>

<div id="page">

<?php
if($mode == "edit")
{
    if($GLOBALS['error']) {
        echo '<p style="color: red;">'.stripslashes($GLOBALS['error']).'</p>';
    }

    echo '
      <form method="post" id="edit" action="'.$this->PageURL($realName,'post').'">
      <p><label for="ftext">Texte</label>
        <textarea name="text" cols="70" rows="30" id="ftext">'.$text.'</textarea></p>
      <p class="help"><a href="'.$this->PageURL('_syntax').'">Syntaxe du wiki</a></p>
      <p>';

    if($haveAccess)
    {
        if($this->config['type'] == 'prive')
        {
            echo '
            <input type="checkbox" name="unlock" value="yes" '.($locked === FALSE ? 'checked="checked"' : '').' id="funlock" />
            <label for="funlock">Permettre l\'dition de cette page par les visiteurs</label>';
        }
        else
        {
            echo '
            <input type="checkbox" name="lock" value="yes" '.($locked === TRUE ? 'checked="checked"' : '').' id="flock" />
            <label for="flock">Empcher l\'dition de cette page par les visiteurs</label>';
        }
    }

    echo '</p>
      <p class="submit"><input type="submit" name="save" value="Enregistrer" /></p>
      </form>';
}
else {
    if($mode == "special") {
        echo '<div class="special">'.$text.'</div>';
    }
    else {
        echo '<div class="text">'.$text.'</div>';
    }
}
?>
</div>

<div id="sidebar">
  <ul class="menu">
    <li><h4><a href="<?php echo $this->PageURL($this->defaultHome); ?>"><?php echo $this->config['name']; ?></a></h4></li>
<?php

if($this->enableIndexes || $haveAccess) {
    echo '
    <li><a href="'.$this->PageURL('_index').'">Index des pages</a></li>';
}
if(($this->enableIndexes || $haveAccess) && ($pos = strrpos($realName,'/'))) {
    echo '
    <li><a href="'.$this->PageURL(($cat = substr($realName,0,$pos)).'/_index').'">Catgorie: '.$cat.'</a></li>';
}

if($haveAccess) {
    echo '
    <li><a href="'.$this->PageURL('_config').'">Configuration</a></li>
    <li><a href="'.$this->PageURL('_logout').'">Dconnexion</a></li>';
}
else {
    echo '
    <li><a href="'.$this->PageURL('_login').'">Connexion</a></li>';
}

echo '
</ul>
';

if($mode == "view")
{
    if($haveAccess || (($this->config['type'] == "public" && $locked != TRUE) || ($this->config['type'] == "prive" && $locked === FALSE)))
    {
        echo '
        <form method="post" class="edit" action="'.$this->PageURL($realName,'post').'"><input type="submit" name="edit" value="diter" /></form>';
    }

    $date = $this->getDate($page);
    if($date > 0)
    {
        echo '
        <p class="lastmod">Dernire modification le '.date('d/m/Y  H:i',$date).'</p>';
    }
}

if($haveAccess && ($mode == "edit" || $mode == "view"))
{
    echo '
    <form method="post" class="rename" action="'.$this->PageURL($realName,'post').'">
      <fieldset>
        <legend>Renommer cette page</legend>
        <input type="text" name="rename" value="'.$realName.'" /><input type="submit" value="OK" />
      </fieldset>
    </form>';

    if($mode == 'edit') {
        echo '
        <script type="text/javascript">
          function ConfirmDelete() {
            if(confirm("tes-vous sr de vouloir supprimer cette page ?") == true) { return true; }
            return false;
          }
        </script>
        <form method="post" class="delete" onsubmit="return ConfirmDelete();" action="'.$this->PageURL($realName,'post').'"><input type="submit" value="Supprimer" name="delete" /></form>';
    }
}

?>
</div>

</body>
</html>
